//
//  HomeViewController+initView.swift
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/12.
//  Copyright © 2019 yin chen. All rights reserved.
//

import UIKit

import UIKit

extension HomeViewController {
    
    func addInitTableView() {
        //self.myTableView.backgroundColor = UIColor.clear
        self.delegate = HomeViewControllerDelegate()
        self.delegate.slidingBlock = {[weak self] in
            self?.scrollViewDidScroll(scrollView: (self?.myTableView)!)
        }
        self.delegate.dataSource = self.dataSource
        self.delegate.cellNum = self.cellNum
        self.myTableView.delegate = self.delegate
        self.myTableView.dataSource = self.delegate
        //self.myTableView.separatorStyle = .none
    }
   func scrollViewDidScroll(scrollView: UIScrollView) {
        offsetY = scrollView.contentOffset.y
        if offsetY > 220-64*2 {
            let alpha = (offsetY-(220-64*2))/64
            self.wr_setNavBarBackgroundAlpha(alpha)
        } else {
            self.wr_setNavBarBackgroundAlpha(0)
            self.wr_setNavBarTintColor(UIColor.white)
            self.wr_setNavBarTitleColor(UIColor.white)
        }
    }
}
class HomeViewControllerDelegate: BaseTableViewDelegate {
    var cellNum:Double!
    var slidingBlock:selectBlock!
    
    func scrollViewDidScroll(_ scrollView: UIScrollView) {
        self.slidingBlock()
    }
    
    override func tableView(_ tableView: UITableView, heightForFooterInSection section: Int) -> CGFloat {
        return 0
    }
    
    override func tableView(_ tableView: UITableView, heightForHeaderInSection section: Int) -> CGFloat {
        
        if (section==0){
            return 0
        }
        return 0
    }
    
    override func tableView(_ tableView: UITableView, heightForRowAt indexPath: IndexPath) -> CGFloat {
        
        let array:NSMutableArray  = self.dataSource[indexPath.section] as! NSMutableArray
        let cellModel:BaseCellModel = array[indexPath.row] as! BaseCellModel
        
        if cellModel.className == "HomeCarouselTableViewCell" {
            let detailModel:HomeCarouselTableViewCellModel = array[indexPath.row] as! HomeCarouselTableViewCellModel
//           return detailModel.bannerViewH + detailModel.collectionViewH
            if detailModel.detailedModel.detaileArray.count >= Int(self.cellNum){
                let index = lroundf(Float(ceil(Double(detailModel.detailedModel.detaileArray.count)/self.cellNum)))
                return (SCREEN_WHIDTH()/4-10)*CGFloat(index)*0.8 + (190/360)*SCREEN_WHIDTH()
            }
            else if detailModel.detailedModel.detaileArray.count == 0 {
                return (200/360)*SCREEN_WHIDTH()
            }
            return (SCREEN_WHIDTH()/4-10)*0.8 + (200/360)*SCREEN_WHIDTH()
        }else if cellModel.className == "MineTitleTableViewCell"{
            return 25*HEIGHT_RATIO()
        }else if cellModel.className == "MineDetailedTableViewCell"{
            let detailModel:MineDetailedTableViewCellModel = array[indexPath.row] as! MineDetailedTableViewCellModel
            if detailModel.detaileArray.count >= Int(self.cellNum){
                let index = lroundf(Float(ceil(Double(detailModel.detaileArray.count)/self.cellNum)))
                return (SCREEN_WHIDTH()/4)*CGFloat(index)*0.8
            }
        }else if cellModel.className == "MineWebTableViewCell"{
            return 250*HEIGHT_RATIO()
        }
//        else if cellModel.className == "MineDetailedTableViewCell"{
//            let detailModel:MineDetailedTableViewCellModel = array[indexPath.row] as! MineDetailedTableViewCellModel
//            if detailModel.detaileArray.count >= Int(self.cellNum){
//                let index = lroundf(Float(ceil(Double(detailModel.detaileArray.count)/self.cellNum)))
//                return (SCREEN_WHIDTH()/4)*CGFloat(index)*0.8
//            }
//            return (SCREEN_WHIDTH()/4)*0.8
//        }
        else if cellModel.className == "HeadlinesMoreTableViewCell"{
            return 25*HEIGHT_RATIO()
        }
        return 90*HEIGHT_RATIO()
    }
}

